Subject: Re: [PATCH] Don't add To: recipients to the Cc: header

From: Sergei Organov <[email-masked]>
Date: Fri, 23 Nov 2007 20:53:41 +0300

Junio C Hamano <[email-masked]> writes:

> Sergei Organov <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>> [...]
>>> Oops, forgot to say "no need to resend".  I asked only because I
>>> wanted an independent datapoint for Emacs diff mode breakage.
>>
>> I bet I can damage any patch using any editor ;)
>>
>> More interesting is what version of Emacs it was?
>
> To be fair and honest, I do not think there is a simple fix for
> this, although it probably is possible to fix it.
>
> What is causing the "breakage" is the fact that format-patch
> output ends with the signature delimiter line "^-- $" that
> immediately follows the patch text.

Exactly. What causes breakage is the fact that the '-' character (as
well as '+', ' ', '!', '#', and '\'), being the first symbol of a line
has special meaning in the diff format.

Therefore it seems that format-patch should better put one empty line
after the last diff hunk and before the signature. Any objections?

-- 
Sergei.